<?php
/**
 * @package Timepiece
 * @since Timepiece 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="article-liner">
		<header class="entry-header">
			<?php if ( 'post' == get_post_type() ) : ?>
			<div class="entry-meta">
				<?php timepiece_posted_on(); ?>
			</div><!-- .entry-meta -->
			<?php endif; ?>

			<h1 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
		</header><!-- .entry-header -->

		<footer class="entry-meta">
			<?php if ( 'post' == get_post_type() ) : // Hide category and tag text for pages on Search ?>
				<?php
					/* translators: used between list items, there is a space after the comma */
					$categories_list = get_the_category_list( __( ', ', 'timepiece' ) );
					if ( $categories_list && timepiece_categorized_blog() ) :
				?>
				<span class="cat-links">
					<?php echo $categories_list; ?>
				</span>
				<?php endif; // End if categories ?>

				<?php
					/* translators: used between list items, there is a space after the comma */
					$tags_list = get_the_tag_list( '', __( ', ', 'timepiece' ) );
					if ( $tags_list ) :
				?>
				<span class="tag-links">
					<?php echo $tags_list; ?>
				</span>
				<?php endif; // End if $tags_list ?>
			<?php endif; // End if 'post' == get_post_type() ?>

			<?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
				<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'timepiece' ), __( '1 Comment', 'timepiece' ), __( '% Comments', 'timepiece' ) ); ?></span>
			<?php endif; ?>

			<?php timepiece_posted_by(); ?>

			<?php edit_post_link( __( 'Edit', 'timepiece' ), '<span class="edit-link">', '</span>' ); ?>
		</footer><!-- .entry-meta -->
	</div><!-- .article-liner -->

	<?php if ( is_search() ) : // Only display Excerpts for Search ?>
		<div class="entry-content">
			<?php the_excerpt(); ?>
		</div><!-- .entry-summary -->
	<?php else : ?>
		<div class="entry-content">
			<?php
				if ( '' != get_the_post_thumbnail() ) {
					echo '<a href="' . get_permalink() . '">';
					the_post_thumbnail( 'timepiece-featured-thumbnail' );
					echo '</a>';
				} else {
					$format = get_post_format();
					if ( false === $format ) {
						$format = 'standard';
					}
					if ( 'gallery' == $format || 'image' == $format ) {
						$args = array(
								'post_parent'       => get_the_ID(),
								'post_type'         => 'attachment',
								'post_status'       => 'inherit',
								'suppress_filters'  => 'false',
								'numberposts'       => 1,
							);
						$attach_id = get_posts( $args );
						if ( ! empty( $attach_id ) )
							echo '<a href="' . get_permalink() . '">' . wp_get_attachment_image( $attach_id[ 0 ]->ID, 'timepiece-featured-thumbnail' ) . '</a>';
					} else if ( 'standard' == $format )
						the_excerpt();
					else
						the_content();
				}
			?>
		</div><!-- .entry-content -->
	<?php endif; ?>
</article><!-- #post-<?php the_ID(); ?> -->
