<?php
/**
 * Compatibility settings and functions for Jetpack from Automattic
 * See jetpack.me
 *
 * @package Timepiece
 */

function timepiece_jetpack_setup() {

	/**
	 * Add theme support for Infinite Scroll.
	 * See: http://jetpack.me/support/infinite-scroll/
	 */
	add_theme_support( 'infinite-scroll', array(
		'wrapper'        => false,
		'footer'         => 'main',
		'footer_widgets' => 'timepiece_has_footer_widgets'
	) );
}
add_action( 'after_setup_theme', 'timepiece_jetpack_setup' );

function timepiece_has_footer_widgets() {
	if ( Jetpack_User_Agent_Info::is_ipad() || ( function_exists( 'jetpack_is_mobile' ) && jetpack_is_mobile() ) )
		return true;

	return false;
}