<?php
/**
 * WordPress.com-specific functions and definitions
 * This file is centrally included from `wp-content/mu-plugins/wpcom-theme-compat.php`.
 *
 * @package Timepiece
 */

function timepiece_theme_colors() {
	global $themecolors;

	/**
	 * Set a default theme color array for WP.com.
	 *
	 * @global array $themecolors
	 */
	if ( ! isset( $themecolors ) ) :
		$themecolors = array(
			'bg' => 'ffffff',
			'border' => 'dcdcdc',
			'text' => '555555',
			'link' => '1a1a1a',
			'url' => '1a1a1a',
		);
	endif;
}
add_action( 'after_setup_theme', 'timepiece_theme_colors' );

/**
 * Adds support for WP.com print styles
 */
function timepiece_print_styles() {
	add_theme_support( 'print-style' );
}
add_action( 'after_setup_theme', 'timepiece_print_styles' );

//WordPress.com specific styles
function timepiece_wpcom_styles() {
	wp_enqueue_style( 'timepiece-wpcom', get_template_directory_uri() . '/inc/style-wpcom.css', '080113' );
}
add_action( 'wp_enqueue_scripts', 'timepiece_wpcom_styles' );

